<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=UTF-8">
<title>EDMA3 Resource Manager: EDMA3_RM_TccCallbackParams Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css">
<link href="doxygen.css" rel="stylesheet" type="text/css">
</head><body>
<!-- Generated by Doxygen 1.5.9 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>Main&nbsp;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li class="current"><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="annotated.html"><span>Data&nbsp;Structures</span></a></li>
      <li><a href="classes.html"><span>Data&nbsp;Structure&nbsp;Index</span></a></li>
      <li><a href="functions.html"><span>Data&nbsp;Fields</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>EDMA3_RM_TccCallbackParams Struct Reference<br>
<small>
[<a class="el" href="group__Edma3ResMgrInt.html">Internal Interface Definition for Resource Manager</a>]</small>
</h1><!-- doxytag: class="EDMA3_RM_TccCallbackParams" -->TCC Callback - Caters to channel specific status reporting.  
<a href="#_details">More...</a>
<p>
<code>#include &lt;<a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a>&gt;</code>
<p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td></td></tr>
<tr><td colspan="2"><br><h2>Data Fields</h2></td></tr>
<tr><td class="memItemLeft" nowrap align="right" valign="top"><a class="el" href="group__Edma3RMIntrMgrChannel.html#gadca81927be74261ef874009bf8e37d3">EDMA3_RM_TccCallback</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__TccCallbackParams.html#b46111c7ca4b209d38383103bfd9a1e5">tccCb</a></td></tr>

<tr><td class="memItemLeft" nowrap align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structEDMA3__RM__TccCallbackParams.html#9834742e3ec7ea2b7ec1064055417cab">cbData</a></td></tr>

</table>
<hr><a name="_details"></a><h2>Detailed Description</h2>
TCC Callback - Caters to channel specific status reporting. <hr><h2>Field Documentation</h2>
<a class="anchor" name="9834742e3ec7ea2b7ec1064055417cab"></a><!-- doxytag: member="EDMA3_RM_TccCallbackParams::cbData" ref="9834742e3ec7ea2b7ec1064055417cab" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="structEDMA3__RM__TccCallbackParams.html#9834742e3ec7ea2b7ec1064055417cab">EDMA3_RM_TccCallbackParams::cbData</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Callback data, passed to the Callback function 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>.</p>

</div>
</div><p>
<a class="anchor" name="b46111c7ca4b209d38383103bfd9a1e5"></a><!-- doxytag: member="EDMA3_RM_TccCallbackParams::tccCb" ref="b46111c7ca4b209d38383103bfd9a1e5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__Edma3RMIntrMgrChannel.html#gadca81927be74261ef874009bf8e37d3">EDMA3_RM_TccCallback</a> <a class="el" href="structEDMA3__RM__TccCallbackParams.html#b46111c7ca4b209d38383103bfd9a1e5">EDMA3_RM_TccCallbackParams::tccCb</a>          </td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>
Callback function 
<p>Referenced by <a class="el" href="edma3resmgr_8c_source.html#l03381">EDMA3_RM_registerTccCb()</a>, and <a class="el" href="edma3resmgr_8c_source.html#l03541">EDMA3_RM_unregisterTccCb()</a>.</p>

</div>
</div><p>
<hr>The documentation for this struct was generated from the following file:<ul>
<li><a class="el" href="edma3resmgr_8h_source.html">edma3resmgr.h</a></ul>
</div>
<hr size="1"><address style="text-align: right;"><small>Generated on Tue Jul 7 19:26:49 2009 for EDMA3 Resource Manager by&nbsp;
<a href="http://www.doxygen.org/index.html">
<img src="doxygen.png" alt="doxygen" align="middle" border="0"></a> 1.5.9 </small></address>
</body>
</html>
